require 'simplecov'
SimpleCov.start

require 'action_controller/railtie'
require 'rspec/rails'

require 'query-interface-server'

app = Class.new(Rails::Application)
app.config.secret_token = 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa'
app.config.session_store :cookie_store, :key => '_myapp_session'
app.config.active_support.deprecation = :log
app.config.eager_load = false
app.config.root = File.dirname(__FILE__)
Rails.backtrace_cleaner.remove_silencers!
app.initialize!
